# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="6"

inherit cmake-multilib

DESCRIPTION="library to read and write MPQ archives"
HOMEPAGE="http://www.zezula.net/en/mpq/main.html"
SRC_URI="https://github.com/ladislav-zezula/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

RESTRICT="mirror"

LICENSE="MIT"
SLOT="0/9"
KEYWORDS="~amd64 ~x86"
IUSE="static-libs"

DEPEND="dev-libs/libtomcrypt[static-libs?,${MULTILIB_USEDEP}]
	sys-libs/zlib[static-libs?,${MULTILIB_USEDEP}]
	app-arch/bzip2[static-libs?,${MULTILIB_USEDEP}]"
RDEPEND="${DEPEND}"

PATCHES=(
	"${FILESDIR}"/${PN}-fix-build-system.patch
)

multilib_src_configure() {
	local mycmakeargs=(
		-DBUILD_SHARED_LIBS="$(usex static-libs no yes)"
		-DWITH_LIBTOMCRYPT=ON)

	cmake-utils_src_configure
}
