# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI="6"

inherit autotools eutils multilib-minimal

DESCRIPTION="The Battle.net client library"
HOMEPAGE="http://code.google.com/p/bncsutil"
SRC_URI="http://people.znc.in/~dessa/ghost/deps/${P}.tar.xz"

RESTRICT="mirror"

LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="static-libs"

DEPEND="dev-libs/gmp[static-libs?,${MULTILIB_USEDEP}]"
RDEPEND="${DEPEND}"

src_prepare() {
	eapply "${FILESDIR}/${PN}-werror.patch"
	eapply "${FILESDIR}/${PN}-ghost.patch"
	eautoreconf
	default
	multilib_copy_sources
}

multilib_src_configure() {
	econf $(use_enable static-libs static)
}

multilib_src_install() {
	default
	prune_libtool_files
}
